import { Injectable } from '@angular/core';
import { BehaviorSubject, Observable } from 'rxjs';

@Injectable({
  providedIn: 'root'
})
export class MenuService {
  public expandedMenuItemContainer?: string = null;
  menuItemsCount: BehaviorSubject<boolean> = new BehaviorSubject<boolean>(false);
  observableMenuItemsCount: Observable<boolean> = this.menuItemsCount.asObservable();

  constructor() { }
}
